Subject: Re: bug#47759: python-minimal tests hang

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 20 Apr 2021 08:05:53 -0400

block 47297 by 47759
thanks

Hi!

Leo Famulari <[email-masked]> writes:

> On Tue, Apr 13, 2021 at 10:38:17PM +0200, Danny Milosavljevic wrote:
>> On x86_64, python-minimal build hangs when running the tests:
>> 
>> $ guix build /gnu/store/gifx79qc77zk88z6gnabj81iksp1xaj9-python-minimal-3.8.2.drv
>> [...]
>> 1:06:10 load avg: 1.31 running: test_multiprocessing_forkserver (14 min 42 sec)
>
> Where does this derivation come from? I can't seem to find it on the
> machines I have access to.
>
>> $ guix describe
>> Generation 230  Apr 13 2021 12:15:27    (current)
>>   guix 822eacc
>>     repository URL: https://git.savannah.gnu.org/git/guix.git
>>     branch: master
>>     commit: 822eacc6bb0878323e6687d4460a7c53066545e1
>> $ uname -a
>> Linux dayas 5.11.4-gnu #1 SMP 1 x86_64 GNU/Linux
>
> ------
> $ guix describe
> Generation 15   Apr 13 2021 23:26:10    (current)
>   guix 822eacc
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     commit: 822eacc6bb0878323e6687d4460a7c53066545e1
> $ guix build --derivations --no-grafts python-minimal 
> /gnu/store/qkggqs5pxr9fmczc6gn5rs3d51ykhh36-python-minimal-3.8.2.drv
> $ guix build --derivations --no-grafts python-minimal-wrapper
> /gnu/store/qvib4wzz542czxfsl7dw4bnlz0kdrm82-python-minimal-wrapper-3.8.2.drv
> ------

I can also reproduce this on the version-1.3.0, building for
armhf-linux.  Another release blocker :-/.

Thanks,

Maxim